params = {
    "Acquisition_Blocking_Immunity_Decay_Rate": 0,
    "Acquisition_Blocking_Immunity_Duration_Before_Decay": 0,
    "Age_Initialization_Distribution_Type": "DISTRIBUTION_COMPLEX",
    "Air_Migration_Filename": "",
    "Air_Migration_Roundtrip_Duration": 7,
    "Air_Migration_Roundtrip_Probability": 0.8,
    "Air_Temperature_Filename": "",
    "Air_Temperature_Offset": 0,
    "Air_Temperature_Variance": 2,
    "Animal_Reservoir_Type": "NO_ZOONOSIS",
    "Base_Air_Temperature": 30,
    "Base_Incubation_Period": 233.33,
    "Base_Individual_Sample_Rate": 1.0,
    "Base_Infectious_Period": 0,
    "Base_Infectivity": 1.0e-07,
    "Base_Land_Temperature": 30,
    "Base_Mortality": 0,
    "Base_Population_Scale_Factor": 20000,
    "Base_Rainfall": 100,
    "Base_Relative_Humidity": 0.5,
    "Birth_Rate_Dependence": "FIXED_BIRTH_RATE",
    "Burnin_Cache_Mode": "none",
    "Burnin_Cache_Period": 0,
    "Burnin_Name": "",
    "Campaign_Filename": "campaign.json",
    "Climate_Model": "CLIMATE_OFF",
    "Climate_Update_Resolution": "CLIMATE_UPDATE_MONTH",
    "Config_Name": "",
    "Death_Rate_Dependence": "NONDISEASE_MORTALITY_OFF",
    "Demographics_Filenames": ["Base_Demog_Trunk.json", "Base_Overlay.json"],
    "Enable_Aging": 1,
    "Enable_Air_Migration": 0,
    "Enable_Birth": 1,
    "Enable_Climate_Stochasticity": 0,
    "Enable_Default_Shedding_Function": 1,
    "Enable_Demographics_Birth": 1,
    "Enable_Demographics_Gender": 1,
    "Enable_Demographics_Initial": 1,
    "Enable_Demographics_Other": 1,
    "Enable_Demographics_Reporting": 0,
    "Enable_Disease_Mortality": 1,
    "Enable_Immune_Decay": 1,
    "Enable_Immunity": 1,
    "Immunity_Initialization_Distribution_Type": "DISTRIBUTION_OFF",
    "Enable_Interventions": 1,
    "Enable_Local_Migration": 0,
    "Enable_Maternal_Transmission": 0,
    "Enable_Migration_Heterogeneity": 0,
    "Enable_Property_Output": 0,
    "Enable_Rainfall_Stochasticity": 1,
    "Enable_Regional_Migration": 1,
    "Enable_Sea_Migration": 0,
    "Enable_Spatial_Output": 0,
    "Enable_Superinfection": 0,
    "Enable_Vital_Dynamics": 1,
    "Geography": "SA",
    "Immunity_Acquisition_Factor": 0.35,
    "Immunity_Mortality_Factor": 1,
    "Immunity_Transmission_Factor": 1,
    "Incubation_Period_Distribution": "EXPONENTIAL_DURATION",
    "Individual_PK_Heterogeneity": 0,
    "Individual_Sampling_Type": "TRACK_ALL",
    "Infection_Updates_Per_Timestep": 1,
    "Infectious_Period_Distribution": "FIXED_DURATION",
    "Infectivity_Scale_Type": "CONSTANT_INFECTIVITY",
    "Job_Node_Groups": "Chassis08",
    "Job_Priority": "NORMAL",
    "Land_Temperature_Filename": "",
    "Land_Temperature_Offset": 0,
    "Land_Temperature_Variance": 2,
    "Load_Balance_Filename": "",
    "Load_Balance_Scheme": "STATIC",
    "Local_Migration_Filename": "",
    "Local_Migration_Roundtrip_Duration": 0.5,
    "Local_Migration_Roundtrip_Probability": 0.95,
    "Maternal_Transmission_Probability": 0,
    "Max_Individual_Infections": 5,
    "Max_Node_Population_Samples": 100,
    "Migration_Model": "NO_MIGRATION",
    "Migration_Pattern": "WAYPOINTS_HOME",
    "Mortality_Blocking_Immunity_Decay_Rate": 0.1,
    "Mortality_Blocking_Immunity_Duration_Before_Decay": 270,
    "Mortality_Time_Course": "DAILY_MORTALITY",
    "Node_Grid_Size": 0.009,
    "Num_Cores": 1,
    "Number_Basestrains": 1,
    "Number_Substrains": 1,
    "PKPD_Model": "FIXED_DURATION_CONSTANT_EFFECT",
    "Population_Density_C50": 30,
    "Population_Density_Infectivity_Correction": "CONSTANT_INFECTIVITY",
    "Population_Scale_Type": "FIXED_SCALING",
    "Rainfall_Filename": "",
    "Rainfall_Scale_Factor": 1,
    "Random_Type": "USE_PSEUDO_DES",
    "Regional_Migration_Filename": "",
    "Regional_Migration_Roundtrip_Duration": 7,
    "Regional_Migration_Roundtrip_Probability": 0.1,
    "Relative_Humidity_Filename": "",
    "Relative_Humidity_Scale_Factor": 1,
    "Relative_Humidity_Variance": 0.05,
    "Roundtrip_Waypoints": 1,
    "Run_Number": 11,
    "Sample_Rate_0_18mo": 1,
    "Sample_Rate_10_14": 1,
    "Sample_Rate_15_19": 1,
    "Sample_Rate_18mo_4yr": 1,
    "Sample_Rate_20_Plus": 1,
    "Sample_Rate_5_9": 1,
    "Sample_Rate_Birth": 1,
    "Sea_Migration_Filename": "",
    "Sea_Migration_Roundtrip_Duration": 5,
    "Sea_Migration_Roundtrip_Probability": 0.25,
    "Serialization_Test_Cycles": 0,
    "Simulation_Duration": 5,
    "Simulation_Timestep": 1,
    "Simulation_Type": "TBHIV_SIM",
    "Start_Time": 0,
    "Susceptibility_Scale_Type": "CONSTANT_SUSCEPTIBILITY",
    "TB_Active_Cure_Rate": 0.000274,
    "TB_Active_Mortality_Rate": 0.0005,
    "TB_Extrapulmonary_Fraction_Adult": 0.1,
    "TB_Extrapulmonary_Fraction_Child": 0.4,
    "TB_Extrapulmonary_Mortality_Multiplier": 0.15,
    "TB_Fast_Progressor_Fraction_Type": "AGE",
    "TB_Fast_Progressor_Fraction_Adult": 1,
    "TB_Fast_Progressor_Fraction_Child": 1,
    "TB_Fast_Progressor_Rate": 1,
    "TB_Immune_Loss_Fraction": 0,
    "TB_Inactivation_Rate": 0,
    "TB_Latent_Cure_Rate": 1.0e-09,
    "TB_Slow_Progressor_Rate": 2.054e-06,
    "TB_Smear_Negative_Infectious_Multiplier": 0.15,
    "TB_Smear_Negative_Mortality_Multiplier": 0.15,
    "TB_Smear_Positive_Fraction_Adult": 0.65,
    "TB_Smear_Positive_Fraction_Child": 0.25,
    "Transmission_Blocking_Immunity_Decay_Rate": 0,
    "Transmission_Blocking_Immunity_Duration_Before_Decay": 0,
    "x_Air_Migration": 1,
    "x_Birth": 1,
    "x_Local_Migration": 1,
    "x_Other_Mortality": 1,
    "x_Population_Immunity": 1,
    "x_Regional_Migration": 1,
    "x_Sea_Migration": 1,
    "x_Temporary_Larval_Habitat": 1,
    "Enable_Heterogeneous_Intranode_Transmission": 1,
    "Enable_Timestep_Channel_In_Report": 0,
    "HIV_coinfection_probability": 0,
    "TB_MDR_Fitness_Multiplier": 0.5,
    "TB_Presymptomatic_Cure_Rate": 0,
    "TB_Presymptomatic_Rate": 1,
    "TB_Relapsed_to_Active_Rate": 0.012,
    "Acute_Duration_In_Months": 1,
    "Acute_Stage_Infectivity_Multiplier": 3,
    "AIDS_Duration_In_Months": 12,
    "AIDS_Stage_Infectivity_Multiplier": 1,
    "ART_Viral_Suppression_Multiplier": 0,
    "CD4_Time_Step": 365,
    "CoInfected_Mortality_Rate": 0,
    "Enable_Coinfection_Incidence": 1,
    "Enable_Coinfection_Mortality": 0,
    "Heterogeneous_Infectiousness_Weibull_Heterogeneity": 0,
    "Heterogeneous_Infectiousness_Weibull_Scale": 10,
    "Num_CD4_Time_Steps": 10,
    "TB_CD4_Activation_Vector": [0.00025999999999999998, 0.00025999999999999998, 0.00025999999999999998,
                                 0.00025999999999999998, 2.5999999999999998e-05, 1.9999999999999999e-6],
    "CD4_Strata_Activation": [1, 250, 300, 350, 500, 2000],
    "TB_CD4_Infectiousness": [1, 1, 1, 1, 1, 1, 1],
    "TB_CD4_Susceptibility": [5, 5, 5, 5, 1, 1, 1],
    "TB_CD4_Strata_Infectiousness_Susceptibility": [1.0000000000000001e-09, 250, 300, 350, 500, 2000, 20000],
    "Python_script_Path": "",
    "TB_Active_Period_Distribution": "GAUSSIAN_DURATION",
    "TB_Drug_Efficacy_Multiplier_Failed": 1,
    "TB_Drug_Efficacy_Multiplier_Relapsed": 1,
    "TB_Drug_Efficacy_Multiplier_MDR": 1,
    "Disable_IP_Whitelist": 1,
    "ART_Reactivation_Factor": 0.94999999999999996,
    "Enable_Time_Dep_Birth": 1,
    "Enable_Time_Dep_Mortality": 0,
    "TB_Active_Period_Std_Dev": 10,
    "TB_Enable_Exogenous": 1,
    "CoInfection_Mortality_Rate_Off_ART": 1e-4,
    "CoInfection_Mortality_Rate_On_ART": 1e-4,
    "TB_CD4_Primary_Progression": [1, 1, 1, 1, 1, 1, 1],
    "CD4_At_Death_LogLogistic_Scale": 31.63,
    "Birth_Rate_Time_Dependence": "None",
    "ART_CD4_at_Initiation_Saturating_Reduction_in_Mortality": 1.0,
    "CD4_At_Death_LogLogistic_Heterogeneity": 0,
    "CD4_Post_Infection_Weibull_Scale": 560.4319099584783,
    "CD4_Post_Infection_Weibull_Heterogeneity": 0.2756,
    "Days_Between_Symptomatic_And_Death_Weibull_Heterogeneity": 0.2756,
    "Days_Between_Symptomatic_And_Death_Weibull_Scale": 1.0,
    "Enable_Default_Reporting": 1,
    "Enable_Demographics_Builtin": 0,
    "HIV_Adult_Survival_Scale_Parameter_Intercept": 300,
    "HIV_Adult_Survival_Scale_Parameter_Slope": 1.0,
    "HIV_Adult_Survival_Shape_Parameter": 1.0,
    "HIV_Age_Max_for_Adult_Age_Dependent_Survival": 50,
    "HIV_Age_Max_for_Child_Survival_Function": 5,
    "HIV_Child_Survival_Rapid_Progressor_Fraction": 0.13,
    "HIV_Child_Survival_Rapid_Progressor_Rate": 2.0,
    "HIV_Child_Survival_Slow_Progressor_Scale": 2.0,
    "HIV_Child_Survival_Slow_Progressor_Shape": 1.0,
    "HIV_CoInfection_Probability": 0.0,
    "Listed_Events": [],
    "Report_Event_Recorder": 0,
    "TB_Active_Presymptomatic_Infectivity_Multiplier": 0.0001,
    "TB_Smear_Negative_Infectivity_Multiplier": 0.001,
    "TBHIV_Drug_Types": ["ACFDOTS", "DOTSHQ"],
    "TBHIV_Drug_Params": {
        "ACFDOTS": {
            "TB_Drug_Clearance_Rate": 0.25,
            "TB_Drug_Clearance_Rate_MDR": 0,
            "TB_Drug_Clearance_Rate_HIV": 0,
            "TB_Drug_Inactivation_Rate": 1e-09,
            "TB_Drug_Inactivation_Rate_MDR": 1e-09,
            "TB_Drug_Inactivation_Rate_HIV": 1e-09,
            "TB_Drug_Mortality_Rate": 1e-9,
            "TB_Drug_Mortality_Rate_MDR": 1e-9,
            "TB_Drug_Mortality_Rate_HIV": 1e-9,
            "TB_Drug_Relapse_Rate": 1e-9,
            "TB_Drug_Relapse_Rate_MDR": 1e-9,
            "TB_Drug_Relapse_Rate_HIV": 1e-9,
            "TB_Drug_Resistance_Rate": 1e-9,
            "TB_Drug_Resistance_Rate_HIV": 1e-9,
            "TB_Drug_Primary_Decay_Time_Constant": 179,
            "TB_Reduced_Acquire": 1,
            "TB_Reduced_Transmit": 1

        },

        "DOTSHQ": {
            "TB_Drug_Clearance_Rate": 0.008,
            "TB_Drug_Clearance_Rate_MDR": 0.0004,
            "TB_Drug_Clearance_Rate_HIV": 0.0004,
            "TB_Drug_Inactivation_Rate": 1e-09,
            "TB_Drug_Inactivation_Rate_MDR": 1e-09,
            "TB_Drug_Inactivation_Rate_HIV": 1e-09,
            "TB_Drug_Mortality_Rate": 0.00038,
            "TB_Drug_Mortality_Rate_MDR": 0.0008,
            "TB_Drug_Mortality_Rate_HIV": 0.00038,
            "TB_Drug_Relapse_Rate": 0.00089,
            "TB_Drug_Relapse_Rate_MDR": 0.001,
            "TB_Drug_Relapse_Rate_HIV": 0.00089,
            "TB_Drug_Resistance_Rate": 0.0001,
            "TB_Drug_Resistance_Rate_HIV": 0.0001,
            "TB_Drug_Primary_Decay_Time_Constant": 179,
            "TB_Reduced_Acquire": 1,
            "TB_Reduced_Transmit": 0.5
        }

    }

}
